Bug 1255793 - Nova-Compute sees model server went away and then reconnects [NEEDINFO]
Nova-Compute sees model server went away and then reconnects
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova (Show other bugs)
6.0 (Juno)
x86_64 Linux
urgent Severity medium
: ---
: 6.0 (Juno)
Assigned To: Eoghan Glynn
: Reopened, ZStream
Depends On:
  Show dependency treegraph
Reported: 2015-08-21 10:53 EDT by Benjamin Schmaus
Modified: 2018-01-05 16:43 EST (History)
17 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2018-01-05 16:43:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
vaggarwa: needinfo? (eglynn)
vaggarwa: needinfo? (bschmaus)
gkadam: needinfo? (bschmaus)

Attachments (Terms of Use)

  None (edit)
Comment 6 Benjamin Schmaus 2015-10-08 08:26:27 EDT
Increasing the lock wait timeout in mariadb/galera resolved the issue.

MariaDB [(none)]> set innodb_lock_wait_timeout=100;
Query OK, 0 rows affected (0.00 sec)
MariaDB [(none)]> show variables like 'innodb_lock_wait_timeout';
Variable_name	Value
innodb_lock_wait_timeout	 100
1 row in set (0.00 sec)
MariaDB [(none)]> quit
Comment 15 Artom Lifshitz 2018-01-05 16:43:50 EST
Closing this as NOTABUG. A valid workaround was provided in comment #6.

Note You need to log in before you can comment on or make changes to this bug.